cancel
Showing results for 
Search instead for 
Did you mean: 

Extension development for Magento 2.4 is lagging. What's up?

Highlighted

Extension development for Magento 2.4 is lagging. What's up?

We're still on 2.3.6 and anticipating moving to 2.4, but it seems that a ton of extensions, themes, etc. are not being updated and developers don't seem to be interested in doing so. 

 

Is there some sort of major technical or political problem that we as customers need to be aware of? I realize that the PHP version change entails some updates, but this should not be a horrific obstacle. I'm concerned, because Magento relies heavily on extensions and if they aren't keeping up for whatever reason then perhaps we need to consider other platforms.

5 REPLIES 5
Highlighted

Re: Extension development for Magento 2.4 is lagging. What's up?

Hello @ErikCarlseen,

 

Please approach one of the Best Magento2 Development Agency those who are recognized as Magento solution partner with Adobe Magento Marketplace.

Kindly review above added link for your magento extension upgradation. Maybe they can do whatever technical support you need.

 

If my answer is helpful, then give kudos & accept as solution

Best regards
Madhuresan

Highlighted

Re: Extension development for Magento 2.4 is lagging. What's up?

Hello @ErikCarlseen 

 

If there are any 3rd party extension and you are worried if it will work with Magento 2.4 or not, you can simple contact the vendor to give you updated modules for M2.4, also not only php will be a huge change, Elasticsearch is mandatory after Magento 2.4, so be prepared for that as well.

And the problems you can only check after upgrading, so you can create a test environment of upgrading which will be separate from live and if you find it completely working after upgrading, you can then run that new project.

 

Hope it helps !

Problem Solved ? Click on 'Kudos' & Accept as Solution to encourage to write more answers !
Highlighted

Re: Extension development for Magento 2.4 is lagging. What's up?


@ @gaurav_harsh wrote:

Hello @ErikCarlseen 

 

If there are any 3rd party extension and you are worried if it will work with Magento 2.4 or not, you can simple contact the vendor to give you updated modules for M2.4, also not only php will be a huge change, Elasticsearch is mandatory after Magento 2.4, so be prepared for that as well.

And the problems you can only check after upgrading, so you can create a test environment of upgrading which will be separate from live and if you find it completely working after upgrading, you can then run that new project.

 


Yes, that's how we discovered the problem. We created a new test environment for playing with the transition to 2.4 and broke just about everything. Our (very popular) theme won't even compile, and after removing that for test purposes a lot of other extensions failed and have not been updated. Browsing through Magento Marketplace, it looks like the overwhelming majority of extensions are not compatible with 2.4 and I'm trying to figure out why this is the case. If the majority of developers aren't interested in maintaining their products, we may need to switch platforms. Even most "official" extensions from large vendors for supporting their offerings (Square payments, for example) are not updated.

 

This is a huge problem for customers like us and developers as well - we all need each other. I'm trying to figure out why this is the way it is. 

Highlighted

Re: Extension development for Magento 2.4 is lagging. What's up?

okay, understood your point, it's issue with the extensions which are not compatible with M2.4, but in this case you can't do anything except wait them to update their module, actually M2.4 is recently launched so first the bugs will be discovered in M2.4, after some time if any vendor finds the M2.4 clear to go, then they make module compatible with M2.4. so it's not like they don't want to upgrade their module with new version. It takes time to launch a new module version with all security, performance checks.

Hope you understand that part so don't be worried if your project is working fine and other extensions can break down.

I think you can better keep your Magento to the previous version as it's completely stable and not causing any error, it's not always mandatory to upgrade your Magento version.

if you find any issues which were later fixed in M2.4 you can only get those changes. Also with M2.4 some big changes are there like Elasticsearch which can breakdown your working project.

 

Hope it helps !

Problem Solved ? Click on 'Kudos' & Accept as Solution to encourage to write more answers !
Highlighted

Re: Extension development for Magento 2.4 is lagging. What's up?

Hello @ErikCarlseen 

To answer your query, I would suggest purchasing the extensions from reputed Extension vendors who are providing Magento extensions for a long time. 

They will never miss their compatibility of extensions with newest Magento  version always.

Found something useful, "Kudos" and "Accept as Solution" for Token of Appreciation.

Magento Tutorials